From: "Rui Huang" <vowstar@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: sys-process/nvtop/
Date: Sun, 24 Apr 2022 04:08:02 +0000 (UTC) [thread overview]
Message-ID: <1650773265.a9537394a643099b2b21e63fb746bfbf743a4dc0.vowstar@gentoo> (raw)
commit: a9537394a643099b2b21e63fb746bfbf743a4dc0
Author: Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Sun Apr 24 04:07:45 2022 +0000
Commit: Rui Huang <vowstar <AT> gmail <DOT> com>
CommitDate: Sun Apr 24 04:07:45 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a9537394
sys-process/nvtop: add 2.0.1
Signed-off-by: Huang Rui <vowstar <AT> gmail.com>
sys-process/nvtop/Manifest | 1 +
sys-process/nvtop/nvtop-2.0.1.ebuild | 56 ++++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/sys-process/nvtop/Manifest b/sys-process/nvtop/Manifest
index acc308b01..615b2ba33 100644
--- a/sys-process/nvtop/Manifest
+++ b/sys-process/nvtop/Manifest
@@ -1,2 +1,3 @@
DIST nvidia-settings-455.38.tar.bz2 1057087 BLAKE2B 81a287aecd2d0e788b0fe581c3dd10aa0f1fff19746b04a426a2ce9c7fa9dd9492cc5162c6bcd42496735c1b11482c3d9409aba5ec297e69afc19ddf11b1907c SHA512 56f5684ad3258c5449d747894a441aaef17403fc5406a3d61e0d7ffd983e908e3f909dc933b57dd9c98a47c4be7205c62157ce7097bf3937b3a8145e77fb354d
DIST nvtop-1.2.2.tar.gz 197300 BLAKE2B dcab86606e2581d5d1d18e77a59fd5c41e665bbaaa876d0cdc7211cc2fe21d14e4a38e23afaf662616bc373b2c05cc85a969fc20ee78c0b42ead1cb6ac93fa84 SHA512 034ca55e773a34b433cc54e6dabf36911973b2ec0669a7f2757f9edcd6ae6e14493c8e31ecb9d7a8e45026ddd97cf543fa57b046d96de6cc650614cd539a6c6a
+DIST nvtop-2.0.1.tar.gz 215348 BLAKE2B 9e288a51dd2f61122ceeac11711c01c13f989e06c5b85c2e4ec90d217e0eb5081aff0aa33140cc511b8864b75a572045c1572e76aaab4bdcb30bbe0a83306771 SHA512 0694fd5327f5fdab926c6bd4862499ead2a4b7d17ec9e60ca1ff2ff3dfca56386600407d6ea8d65e7bea230fb450460e9a70879563764898c4dd5d320df96886
diff --git a/sys-process/nvtop/nvtop-2.0.1.ebuild b/sys-process/nvtop/nvtop-2.0.1.ebuild
new file mode 100644
index 000000000..d967c1b84
--- /dev/null
+++ b/sys-process/nvtop/nvtop-2.0.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+NVIDIA_PV="455.38"
+
+DESCRIPTION="NVIDIA GPUs htop like monitoring tool"
+HOMEPAGE="https://github.com/Syllo/nvtop"
+
+if [[ "${PV}" == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/Syllo/${PN}.git"
+ inherit git-r3
+ SRC_URI="
+ https://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-${NVIDIA_PV}.tar.bz2
+ "
+else
+ SRC_URI="
+ https://github.com/Syllo/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ https://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-${NVIDIA_PV}.tar.bz2
+ "
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+IUSE="unicode video_cards_amdgpu video_cards_nvidia"
+
+RDEPEND="
+ video_cards_amdgpu? ( x11-libs/libdrm[video_cards_amdgpu] )
+ video_cards_nvidia? ( x11-drivers/nvidia-drivers )
+ sys-libs/ncurses:0=
+"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+ virtual/pkgconfig
+"
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr"
+ -DNVML_INCLUDE_DIRS="${S}/include"
+ -DCURSES_NEED_WIDE=$(usex unicode)
+ -DNVIDIA_SUPPORT=$(usex video_cards_nvidia)
+ -DAMDGPU_SUPPORT=$(usex video_cards_amdgpu)
+ )
+
+ cp "${WORKDIR}/nvidia-settings-${NVIDIA_PV}/src/nvml.h" "${S}/include/nvml.h" || die
+
+ cmake_src_configure
+}
next reply other threads:[~2022-04-24 4:08 UTC|newest]
Thread overview: 33+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-24 4:08 Rui Huang [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-14 3:34 [gentoo-commits] repo/proj/guru:dev commit in: sys-process/nvtop/ Rui Huang
2024-12-13 9:59 Rui Huang
2024-12-13 7:59 Rui Huang
2024-12-13 7:59 Rui Huang
2024-11-30 12:29 Filip Kobierski
2024-02-09 17:16 Haelwenn Monnier
2024-01-12 5:47 YiFei Zhu
2023-03-31 4:40 Rui Huang
2023-03-31 4:38 Rui Huang
2022-10-25 2:47 Carlos Eduardo
2022-09-06 3:25 Rui Huang
2022-09-06 2:50 Rui Huang
2022-09-06 2:50 Rui Huang
2022-09-06 2:50 Rui Huang
2022-07-08 4:53 Rui Huang
2022-07-08 4:53 Rui Huang
2022-04-25 8:26 Rui Huang
2022-02-07 15:51 Rui Huang
2021-11-08 13:08 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-11-08 13:08 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-08-03 8:55 Andrew Ammerlaan
2021-07-28 2:36 Rui Huang
2021-07-28 2:34 Rui Huang
2021-05-31 3:01 Rui Huang
2021-05-31 3:01 Rui Huang
2021-01-01 9:55 Rui Huang
2020-12-04 19:21 Rui Huang
2020-12-04 19:21 Rui Huang
2020-06-14 11:03 Rui Huang
2020-06-13 17:09 Rui Huang
2020-06-13 15:36 Rui Huang
2020-06-13 15:36 Rui Huang
2020-06-13 15:28 Rui Huang
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1650773265.a9537394a643099b2b21e63fb746bfbf743a4dc0.vowstar@gentoo \
--to=vowstar@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox